  
BackgroundDownloadProgress = (function () {
  var cls = function BackgroundDownloadProgress() {
      this.bytesReceived = new Number();
      this.totalBytesToReceive = new Number();
      this.status = new BackgroundTransferStatus();
      this.hasResponseChanged = new Boolean();
      this.hasRestarted = new Boolean();
    };
  return cls;
}) ();
exports.BackgroundDownloadProgress = BackgroundDownloadProgress;


  
BackgroundUploadProgress = (function () {
  var cls = function BackgroundUploadProgress() {
      this.bytesReceived = new Number();
      this.bytesSent = new Number();
      this.totalBytesToReceive = new Number();
      this.totalBytesToSend = new Number();
      this.status = new BackgroundTransferStatus();
      this.hasResponseChanged = new Boolean();
      this.hasRestarted = new Boolean();
    };
  return cls;
}) ();
exports.BackgroundUploadProgress = BackgroundUploadProgress;


_BackgroundTransferStatus = function () {
  this.idle = 0;
  this.running = 1;
  this.pausedByApplication = 2;
  this.pausedCostedNetwork = 3;
  this.pausedNoNetwork = 4;
  this.completed = 5;
  this.canceled = 6;
  this.error = 7;
}
exports.BackgroundTransferStatus = new _BackgroundTransferStatus();

_BackgroundTransferCostPolicy = function () {
  this.default = 0;
  this.unrestrictedOnly = 1;
  this.always = 2;
}
exports.BackgroundTransferCostPolicy = new _BackgroundTransferCostPolicy();

_BackgroundTransferPriority = function () {
  this.default = 0;
  this.high = 1;
}
exports.BackgroundTransferPriority = new _BackgroundTransferPriority();

_BackgroundTransferBehavior = function () {
  this.parallel = 0;
  this.serialized = 1;
}
exports.BackgroundTransferBehavior = new _BackgroundTransferBehavior();

IBackgroundTransferBase = (function () {
  var cls = function IBackgroundTransferBase() {
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.group = new String();
    this.method = new String();
    this.proxyCredential = new Object();
    this.serverCredential = new Object();
  };
  

  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.IBackgroundTransferBase = IBackgroundTransferBase;

DownloadOperation = (function () {
  var cls = function DownloadOperation() {
    this.priority = new BackgroundTransferPriority();
    this.progress = new BackgroundDownloadProgress();
    this.resultFile = new Object();
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.group = new String();
    this.guid = new String();
    this.method = new String();
    this.requestedUri = new Object();
    this.transferGroup = new BackgroundTransferGroup();
  };
  

  cls.prototype.startAsync = function startAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.attachAsync = function attachAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.pause = function pause() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.resume = function resume() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getResultStreamAt = function getResultStreamAt(position) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="position" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getResponseInformation = function getResponseInformation() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ResponseInformation" />
    /// </signature>
    return new ResponseInformation();
  }


  return cls;
}) ();
exports.DownloadOperation = DownloadOperation;

UnconstrainedTransferRequestResult = (function () {
  var cls = function UnconstrainedTransferRequestResult() {
    this.isUnconstrained = new Boolean();
  };
  

  return cls;
}) ();
exports.UnconstrainedTransferRequestResult = UnconstrainedTransferRequestResult;

UploadOperation = (function () {
  var cls = function UploadOperation() {
    this.progress = new BackgroundUploadProgress();
    this.sourceFile = new Object();
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.group = new String();
    this.guid = new String();
    this.method = new String();
    this.requestedUri = new Object();
    this.priority = new BackgroundTransferPriority();
    this.transferGroup = new BackgroundTransferGroup();
  };
  

  cls.prototype.startAsync = function startAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.attachAsync = function attachAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getResultStreamAt = function getResultStreamAt(position) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="position" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getResponseInformation = function getResponseInformation() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ResponseInformation" />
    /// </signature>
    return new ResponseInformation();
  }


  return cls;
}) ();
exports.UploadOperation = UploadOperation;

BackgroundTransferGroup = (function () {
  var cls = function BackgroundTransferGroup() {
    this.transferBehavior = new BackgroundTransferBehavior();
    this.name = new String();
  };
  

  cls.createGroup = function createGroup(name) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <returns type="BackgroundTransferGroup" />
    /// </signature>
    return new BackgroundTransferGroup();
  }


  return cls;
}) ();
exports.BackgroundTransferGroup = BackgroundTransferGroup;

BackgroundTransferContentPart = (function () {
  var cls = function BackgroundTransferContentPart() {
  };
  
var cls = function BackgroundTransferContentPart(name) {
};

var cls = function BackgroundTransferContentPart(name, fileName) {
};


  cls.prototype.setHeader = function setHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.setText = function setText(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.setFile = function setFile(value) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="Object">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.BackgroundTransferContentPart = BackgroundTransferContentPart;

IBackgroundTransferOperation = (function () {
  var cls = function IBackgroundTransferOperation() {
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.group = new String();
    this.guid = new String();
    this.method = new String();
    this.requestedUri = new Object();
  };
  

  cls.prototype.getResultStreamAt = function getResultStreamAt(position) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="position" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getResponseInformation = function getResponseInformation() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="ResponseInformation" />
    /// </signature>
    return new ResponseInformation();
  }


  return cls;
}) ();
exports.IBackgroundTransferOperation = IBackgroundTransferOperation;

ResponseInformation = (function () {
  var cls = function ResponseInformation() {
    this.actualUri = new Object();
    this.headers = new Object();
    this.isResumable = new Boolean();
    this.statusCode = new Number();
  };
  

  return cls;
}) ();
exports.ResponseInformation = ResponseInformation;

IBackgroundTransferOperationPriority = (function () {
  var cls = function IBackgroundTransferOperationPriority() {
    this.priority = new BackgroundTransferPriority();
  };
  

  return cls;
}) ();
exports.IBackgroundTransferOperationPriority = IBackgroundTransferOperationPriority;

IBackgroundTransferContentPartFactory = (function () {
  var cls = function IBackgroundTransferContentPartFactory() {
  };
  

  cls.prototype.createWithName = function createWithName(name) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <returns type="BackgroundTransferContentPart" />
    /// </signature>
    return new BackgroundTransferContentPart();
  }


  cls.prototype.createWithNameAndFileName = function createWithNameAndFileName(name, fileName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// <param name="fileName" type="String">A param.</param>
    /// <returns type="BackgroundTransferContentPart" />
    /// </signature>
    return new BackgroundTransferContentPart();
  }


  return cls;
}) ();
exports.IBackgroundTransferContentPartFactory = IBackgroundTransferContentPartFactory;

BackgroundDownloader = (function () {
  var cls = function BackgroundDownloader() {
    this.serverCredential = new Object();
    this.proxyCredential = new Object();
    this.method = new String();
    this.group = new String();
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.transferGroup = new BackgroundTransferGroup();
    this.successToastNotification = new Object();
    this.successTileNotification = new Object();
    this.failureToastNotification = new Object();
    this.failureTileNotification = new Object();
  };
  

  cls.prototype.createDownloadAsync = function createDownloadAsync(uri, resultFile, requestBodyStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="resultFile" type="Object">A param.</param>
    /// <param name="requestBodyStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.createDownload = function createDownload(uri, resultFile) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="resultFile" type="Object">A param.</param>
    /// <returns type="DownloadOperation" />
    /// </signature>
    return new DownloadOperation();
  }

cls.prototype.createDownload = function createDownload(uri, resultFile, requestBodyFile) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="resultFile" type="Object">A param.</param>
    /// <param name="requestBodyFile" type="Object">A param.</param>
    /// <returns type="DownloadOperation" />
    /// </signature>
    return new DownloadOperation();
  }


  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  cls.getCurrentDownloadsForTransferGroupAsync = function getCurrentDownloadsForTransferGroupAsync(group, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="group" type="BackgroundTransferGroup">A param.</param>
    /// </signature>
  }



  cls.requestUnconstrainedDownloadsAsync = function requestUnconstrainedDownloadsAsync(operations, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="operations" type="Object">A param.</param>
    /// </signature>
  }



  cls.getCurrentDownloadsAsync = function getCurrentDownloadsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.getCurrentDownloadsAsync = function getCurrentDownloadsAsync(group, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="group" type="String">A param.</param>
    /// </signature>
  }



  return cls;
}) ();
exports.BackgroundDownloader = BackgroundDownloader;

BackgroundUploader = (function () {
  var cls = function BackgroundUploader() {
    this.serverCredential = new Object();
    this.proxyCredential = new Object();
    this.method = new String();
    this.group = new String();
    this.costPolicy = new BackgroundTransferCostPolicy();
    this.transferGroup = new BackgroundTransferGroup();
    this.successToastNotification = new Object();
    this.successTileNotification = new Object();
    this.failureToastNotification = new Object();
    this.failureTileNotification = new Object();
  };
  

  cls.prototype.createUploadFromStreamAsync = function createUploadFromStreamAsync(uri, sourceStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="sourceStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.createUploadAsync = function createUploadAsync(uri, parts, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="parts" type="Object">A param.</param>
    /// </signature>
  }

cls.prototype.createUploadAsync = function createUploadAsync(uri, parts, subType, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="parts" type="Object">A param.</param>
    /// <param name="subType" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.createUploadAsync = function createUploadAsync(uri, parts, subType, boundary, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="parts" type="Object">A param.</param>
    /// <param name="subType" type="String">A param.</param>
    /// <param name="boundary" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.createUpload = function createUpload(uri, sourceFile) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="sourceFile" type="Object">A param.</param>
    /// <returns type="UploadOperation" />
    /// </signature>
    return new UploadOperation();
  }


  cls.prototype.setRequestHeader = function setRequestHeader(headerName, headerValue) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="headerName" type="String">A param.</param>
    /// <param name="headerValue" type="String">A param.</param>
    /// </signature>
  }


  cls.getCurrentUploadsForTransferGroupAsync = function getCurrentUploadsForTransferGroupAsync(group, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="group" type="BackgroundTransferGroup">A param.</param>
    /// </signature>
  }



  cls.requestUnconstrainedUploadsAsync = function requestUnconstrainedUploadsAsync(operations, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="operations" type="Object">A param.</param>
    /// </signature>
  }



  cls.getCurrentUploadsAsync = function getCurrentUploadsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.getCurrentUploadsAsync = function getCurrentUploadsAsync(group, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="group" type="String">A param.</param>
    /// </signature>
  }



  return cls;
}) ();
exports.BackgroundUploader = BackgroundUploader;

BackgroundTransferError = (function () {
  var cls = function BackgroundTransferError() {
  };
  

  cls.getStatus = function getStatus(hresult) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="hresult" type="Number">A param.</param>
    /// <returns type="Number" />
    /// </signature>
    return new Number();
  }


  return cls;
}) ();
exports.BackgroundTransferError = BackgroundTransferError;

ContentPrefetcher = (function () {
  var cls = function ContentPrefetcher() {
  };
  

  cls.lastSuccessfulPrefetchTime = new Date();
  cls.indirectContentUri = new Object();
  cls.contentUris = new Object();
  return cls;
}) ();
exports.ContentPrefetcher = ContentPrefetcher;

